%define name    terminus-font
%define version 4.12
%define release 1mdk
%define summary Fixed width font especially for long hacking sessions

%define fontdir /usr/X11R6/lib/X11/fonts/terminus
%define consolefontdir %_libdir/kbd/consolefonts

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          System/Fonts/X11 bitmap
URL:            http://www.is-vn.bg/hamster/jimmy-en.html
                # http://www.is-vn.bg/hamster/terminus-font-4.05.tar.gz
Source0:        %name-%version.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot

BuildRequires:  perl XFree86-devel XFree86
Requires:       XFree86
PreReq:         chkfontpath
Buildarch:      noarch


%description
The Terminus font is a complete set of fixed-size fonts designed
especially for the usage in terms and the console.


%prep
%setup -q


%build
%__make pcf psf
%__gzip *pcf *psf


%install
%__rm -rf              %buildroot
%__install       -d %buildroot%consolefontdir
%__install *.psf.gz %buildroot%consolefontdir
%__install       -d %buildroot%fontdir
%__install *.pcf.gz %buildroot%fontdir
cd                  %buildroot%fontdir
/usr/X11R6/bin/mkfontdir
%__sed -e 's/.pcf.gz//' fonts.dir|%__grep terminus > fonts.alias


%post
umask 133
/usr/sbin/chkfontpath -q -a %{fontdir}
if pidof xfs &> /dev/null; then
   /sbin/service xfs restart
else
   echo "rpm: I won't restart xfs because it isn't running."
fi

%postun
if [ $1 -eq 0 ]; then
    umask 133
    /usr/sbin/chkfontpath -q -r %{fontdir}
fi
if pidof xfs &> /dev/null; then
   /sbin/service xfs restart
else
   echo "rpm: I won't restart xfs because it isn't running."
fi


%clean
%__rm -rf %buildroot


%files
%defattr(0644,root,root,0755)
%doc README
%fontdir/*
%dir %fontdir
%consolefontdir/*
%dir %consolefontdir


%changelog
* Thu Apr 07 2005 Lenny Cartier <lenny@mandrakesoftc.con> 4.12-1mdk
- 4.12

* Thu Dec 03 2004 Lenny Cartier <lenny@mandrakesoftc.con> 4.11-1mdk
- 4.11

* Thu Dec 18 2003 Han Boetes <han@linux-mandrake.com> 4.06-1mdk
- bump

* Sun Nov  2 2003 Han Boetes <han@linux-mandrake.com> 4.05-2mdk
- Added a fonts.alias entry
- More macros
- Restart xfs

* Mon Oct  6 2003 Han Boetes <han@linux-mandrake.com> 4.05-1mdk
- Whoopy a new a :)

* Thu Jul  3 2003 Han Boetes <han@linux-mandrake.com> 4.03-1mdk
- bump

* Fri May 23 2003 Han Boetes <han@linux-mandrake.com> 4.00-4mdk
- Added dir entries to make Olivier's bot happy. :)
- Some minor cleanups

* Wed May  7 2003 Han Boetes <han@linux-mandrake.com> 4.00-3mdk
- Added the consolefonts.

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 4.00-2mdk
- buildrequires

* Sat Apr 12 2003 Han Boetes <han@linux-mandrake.com> 4.00-1mdk
- Initial mandrake release.
